Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | String
Name | ### equals()
Examples |
    String str1 = "CCCP";
    String str2 = "CCCP";
    // Tests to see if str1 is equal to str2
    if(str1.equals(str2) == true) {
      println("Equal");  // They are equal so this line will print
    } else {
      println("Not equal");
    }
Description | Compares two strings to see if they are the same. This method is necessary because it's not possible to compare strings using the equality operator (==). Returns true if the strings are the same and false if they are not.
Syntax |
    str.equals(str)
Parameters |
str | String: any variable of type String
str | String: any valid String
Returns | Boolean
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT